=== modified file 'drizzled/decimal.cc'
--- drizzled/decimal.cc	2010-09-12 09:42:36 +0000
+++ drizzled/decimal.cc	2010-10-06 07:52:09 +0000
@@ -157,8 +157,7 @@
 			"DECIMAL", "");
     break;
   case E_DEC_DIV_ZERO:
-    push_warning_printf(current_session, DRIZZLE_ERROR::WARN_LEVEL_ERROR,
-			ER_DIVISION_BY_ZERO, ER(ER_DIVISION_BY_ZERO));
+    my_error(ER_DIVISION_BY_ZERO, MYF(0));
     break;
   case E_DEC_BAD_NUM:
     push_warning_printf(current_session, DRIZZLE_ERROR::WARN_LEVEL_ERROR,

=== modified file 'drizzled/function/func.cc'
--- drizzled/function/func.cc	2010-08-18 10:04:56 +0000
+++ drizzled/function/func.cc	2010-10-06 07:52:09 +0000
@@ -622,8 +622,8 @@
 
 void Item_func::signal_divide_by_null()
 {
-  push_warning(getSessionPtr(), DRIZZLE_ERROR::WARN_LEVEL_ERROR, ER_DIVISION_BY_ZERO, ER(ER_DIVISION_BY_ZERO));
-  null_value= 1;
+  my_error(ER_DIVISION_BY_ZERO, MYF(0));
+  null_value= 0;
 }
 
 

=== modified file 'tests/r/case.result'
--- tests/r/case.result	2010-09-02 18:35:05 +0000
+++ tests/r/case.result	2010-10-06 07:52:09 +0000
@@ -38,25 +38,13 @@
 (CASE "two" when "one" then 1.00 WHEN "two" then 2.00 END) +0.0
 2.00
 select case 1/0 when "a" then "true" else "false" END;
-case 1/0 when "a" then "true" else "false" END
-false
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select case 1/0 when "a" then "true" END;
-case 1/0 when "a" then "true" END
-NULL
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select (case 1/0 when "a" then "true" END);
-(case 1/0 when "a" then "true" END)
-NULL
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select (case 1/0 when "a" then "true" END) + 0.0;
-(case 1/0 when "a" then "true" END) + 0.0
-NULL
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select case when 1>0 then "TRUE" else "FALSE" END;
 case when 1>0 then "TRUE" else "FALSE" END
 TRUE

=== modified file 'tests/r/errors.result'
--- tests/r/errors.result	2009-12-15 16:55:05 +0000
+++ tests/r/errors.result	2010-10-06 07:52:09 +0000
@@ -29,21 +29,13 @@
 ERROR 42000: Column length too big for column 'a' (max = 16383); use BLOB or TEXT instead
 CREATE TABLE t1 (a INT);
 SELECT a FROM t1 WHERE a IN(1, (SELECT IF(1=0,1,2/0)));
-a
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 INSERT INTO t1 VALUES(1);
 SELECT a FROM t1 WHERE a IN(1, (SELECT IF(1=0,1,2/0)));
-a
-1
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 INSERT INTO t1 VALUES(2),(3);
 SELECT a FROM t1 WHERE a IN(1, (SELECT IF(1=0,1,2/0)));
-a
-1
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 DROP TABLE t1;
 CREATE TABLE t1( a INT );
 SELECT b FROM t1;

=== modified file 'tests/r/func_in.result'
--- tests/r/func_in.result	2010-08-21 22:42:44 +0000
+++ tests/r/func_in.result	2010-10-06 07:52:09 +0000
@@ -457,9 +457,7 @@
 CREATE TABLE t1 (id int not null);
 INSERT INTO t1 VALUES (1),(2);
 SELECT id FROM t1 WHERE id IN(4564, (SELECT IF(1=0,1,1/0)) );
-id
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 DROP TABLE t1;
 End of 5.0 tests
 create TEMPORARY table t1(f1 char(1)) ENGINE=MYISAM;

=== modified file 'tests/r/func_math.result'
--- tests/r/func_math.result	2010-09-02 18:35:05 +0000
+++ tests/r/func_math.result	2010-10-06 07:52:09 +0000
@@ -43,45 +43,28 @@
 Warnings:
 Note	1003	select abs(-(10)) AS `abs(-10)`,sign(-(5)) AS `sign(-5)`,sign(5) AS `sign(5)`,sign(0) AS `sign(0)`
 select log(exp(10)),exp(log(sqrt(10))*2),log(-1),log(NULL),log(1,1),log(3,9),log(-1,2),log(NULL,2);
-log(exp(10))	exp(log(sqrt(10))*2)	log(-1)	log(NULL)	log(1,1)	log(3,9)	log(-1,2)	log(NULL,2)
-10	10	NULL	NULL	NULL	2	NULL	NULL
-Warnings:
-Error	1365	Division by 0
-Error	1365	Division by 0
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 explain extended select log(exp(10)),exp(log(sqrt(10))*2),log(-1),log(NULL),log(1,1),log(3,9),log(-1,2),log(NULL,2);
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	filtered	Extra
 1	SIMPLE	NULL	NULL	NULL	NULL	NULL	NULL	NULL	NULL	No tables used
 Warnings:
 Note	1003	select log(exp(10)) AS `log(exp(10))`,exp((log(sqrt(10)) * 2)) AS `exp(log(sqrt(10))*2)`,log(-(1)) AS `log(-1)`,log(NULL) AS `log(NULL)`,log(1,1) AS `log(1,1)`,log(3,9) AS `log(3,9)`,log(-(1),2) AS `log(-1,2)`,log(NULL,2) AS `log(NULL,2)`
 select ln(exp(10)),exp(ln(sqrt(10))*2),ln(-1),ln(0),ln(NULL);
-ln(exp(10))	exp(ln(sqrt(10))*2)	ln(-1)	ln(0)	ln(NULL)
-10	10	NULL	NULL	NULL
-Warnings:
-Error	1365	Division by 0
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 explain extended select ln(exp(10)),exp(ln(sqrt(10))*2),ln(-1),ln(0),ln(NULL);
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	filtered	Extra
 1	SIMPLE	NULL	NULL	NULL	NULL	NULL	NULL	NULL	NULL	No tables used
 Warnings:
 Note	1003	select ln(exp(10)) AS `ln(exp(10))`,exp((ln(sqrt(10)) * 2)) AS `exp(ln(sqrt(10))*2)`,ln(-(1)) AS `ln(-1)`,ln(0) AS `ln(0)`,ln(NULL) AS `ln(NULL)`
 select log2(8),log2(15),log2(-2),log2(0),log2(NULL);
-log2(8)	log2(15)	log2(-2)	log2(0)	log2(NULL)
-3	3.90689059560852	NULL	NULL	NULL
-Warnings:
-Error	1365	Division by 0
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 explain extended select log2(8),log2(15),log2(-2),log2(0),log2(NULL);
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	filtered	Extra
 1	SIMPLE	NULL	NULL	NULL	NULL	NULL	NULL	NULL	NULL	No tables used
 Warnings:
 Note	1003	select log2(8) AS `log2(8)`,log2(15) AS `log2(15)`,log2(-(2)) AS `log2(-2)`,log2(0) AS `log2(0)`,log2(NULL) AS `log2(NULL)`
 select log10(100),log10(18),log10(-4),log10(0),log10(NULL);
-log10(100)	log10(18)	log10(-4)	log10(0)	log10(NULL)
-2	1.25527250510331	NULL	NULL	NULL
-Warnings:
-Error	1365	Division by 0
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 explain extended select log10(100),log10(18),log10(-4),log10(0),log10(NULL);
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	filtered	Extra
 1	SIMPLE	NULL	NULL	NULL	NULL	NULL	NULL	NULL	NULL	No tables used

=== modified file 'tests/r/func_str.result'
--- tests/r/func_str.result	2010-08-18 21:57:15 +0000
+++ tests/r/func_str.result	2010-10-06 07:52:09 +0000
@@ -249,10 +249,7 @@
 quote(concat('abc\'', '\\cba'))
 'abc\'\\cba'
 select quote(1/0), quote('\0\Z');
-quote(1/0)	quote('\0\Z')
-NULL	'\0\Z'
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select length(quote(concat(char(0),"test")));
 length(quote(concat(char(0),"test")))
 8

=== modified file 'tests/r/func_test.result'
--- tests/r/func_test.result	2009-11-13 00:56:59 +0000
+++ tests/r/func_test.result	2010-10-06 07:52:09 +0000
@@ -90,20 +90,11 @@
 5 mod 3	5 mod -3	-5 mod 3	-5 mod -3
 2	2	-2	-2
 select (12%0) <=> null      as '1';
-1
-1
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select (12%0) is null       as '1';
-1
-1
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select 12%0                 as 'NULL';
-NULL
-NULL
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select 12%2                 as '0';
 0
 0
@@ -126,20 +117,11 @@
 NULL
 NULL
 select (12 mod 0) <=> null  as '1';
-1
-1
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select (12 mod 0) is null   as '1';
-1
-1
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select 12 mod 0             as 'NULL';
-NULL
-NULL
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select 12 mod 2             as '0';
 0
 0
@@ -159,15 +141,9 @@
 NULL
 NULL
 select mod(12.0, 0)         as 'NULL';
-NULL
-NULL
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select mod(12, 0.0)         as 'NULL';
-NULL
-NULL
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select mod(12, NULL)        as 'NULL';
 NULL
 NULL

=== modified file 'tests/r/join.result'
--- tests/r/join.result	2010-08-21 22:42:44 +0000
+++ tests/r/join.result	2010-10-06 07:52:09 +0000
@@ -162,13 +162,7 @@
 d
 NULL
 SELECT * FROM t1 WHERE 1/0 IS NULL;
-d
-2001-08-01
-NULL
-Warnings:
-Error	1365	Division by 0
-Error	1365	Division by 0
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 DROP TABLE t1,t2;
 CREATE TABLE t1 (
 Document_ID varchar(50) NOT NULL default '',

=== modified file 'tests/r/null.result'
--- tests/r/null.result	2010-09-23 01:53:13 +0000
+++ tests/r/null.result	2010-10-06 07:52:09 +0000
@@ -1,19 +1,8 @@
 drop table if exists t1, t2;
 select null,\N,isnull(null),isnull(1/0),isnull(1/0 = null),ifnull(null,1),ifnull(null,"TRUE"),ifnull("TRUE","ERROR"),1/0 is null,1 is not null;
-NULL	NULL	isnull(null)	isnull(1/0)	isnull(1/0 = null)	ifnull(null,1)	ifnull(null,"TRUE")	ifnull("TRUE","ERROR")	1/0 is null	1 is not null
-NULL	NULL	1	1	1	1	TRUE	TRUE	1	1
-Warnings:
-Error	1365	Division by 0
-Error	1365	Division by 0
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 explain extended select null,\N,isnull(null),isnull(1/0),isnull(1/0 = null),ifnull(null,1),ifnull(null,"TRUE"),ifnull("TRUE","ERROR"),1/0 is null,1 is not null;
-id	select_type	table	type	possible_keys	key	key_len	ref	rows	filtered	Extra
-1	SIMPLE	NULL	NULL	NULL	NULL	NULL	NULL	NULL	NULL	No tables used
-Warnings:
-Error	1365	Division by 0
-Error	1365	Division by 0
-Error	1365	Division by 0
-Note	1003	select NULL AS `NULL`,NULL AS `NULL`,isnull(NULL) AS `isnull(null)`,isnull((1 / 0)) AS `isnull(1/0)`,isnull(((1 / 0) = NULL)) AS `isnull(1/0 = null)`,ifnull(NULL,1) AS `ifnull(null,1)`,ifnull(NULL,'TRUE') AS `ifnull(null,"TRUE")`,ifnull('TRUE','ERROR') AS `ifnull("TRUE","ERROR")`,isnull((1 / 0)) AS `1/0 is null`,(1 is not null) AS `1 is not null`
+ERROR 22012: Division by 0
 select CONCAT(1, NULL),1+NULL,1-NULL;
 CONCAT(1, NULL)	1+NULL	1-NULL
 NULL	NULL	NULL

=== modified file 'tests/r/strict.result'
--- tests/r/strict.result	2010-09-02 18:35:05 +0000
+++ tests/r/strict.result	2010-10-06 07:52:09 +0000
@@ -35,8 +35,7 @@
 Warnings:
 Warning	1265	Data truncated for column 'col1' at row 1
 INSERT IGNORE INTO t1 values (1/0);
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 INSERT IGNORE INTO t1 values (-2147483649);
 Warnings:
 Warning	1264	Out of range value for column 'col1' at row 1
@@ -65,7 +64,6 @@
 -2147483648
 2147483647
 2
-NULL
 -2147483648
 2147483647
 -2147483648
@@ -105,8 +103,7 @@
 Warnings:
 Warning	1265	Data truncated for column 'col1' at row 1
 INSERT IGNORE INTO t1 values (1/0);
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 INSERT IGNORE INTO t1 VALUES (-9223372036854775809);
 Warnings:
 Warning	1264	Out of range value for column 'col1' at row 1
@@ -133,7 +130,6 @@
 -9223372036854774000
 9223372036854775700
 2
-NULL
 -9223372036854775808
 -9223372036854775808
 -9223372036854775808
@@ -197,8 +193,7 @@
 Warnings:
 Warning	1265	Data truncated for column 'col1' at row 1
 INSERT IGNORE INTO t1 values (1/0);
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 INSERT IGNORE INTO t1 VALUES (1000);
 Warnings:
 Warning	1264	Out of range value for column 'col1' at row 1
@@ -236,7 +231,6 @@
 99.99
 99.99
 NULL
-NULL
 DROP TABLE t1;
 CREATE TABLE t1 (col1 CHAR(5), col2 VARCHAR(6));
 INSERT INTO t1 VALUES ('hello', 'hello');

=== modified file 'tests/r/type_newdecimal.result'
--- tests/r/type_newdecimal.result	2010-09-02 18:35:05 +0000
+++ tests/r/type_newdecimal.result	2010-10-06 07:52:09 +0000
@@ -131,10 +131,7 @@
 ) ENGINE=X COLLATE = utf8_general_ci
 drop table t1;
 select 1e10/0e0;
-1e10/0e0
-NULL
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select 1/3;
 1/3
 0.3333
@@ -545,15 +542,9 @@
 1E-500 = 0
 1
 select 1 / 1E-500;
-1 / 1E-500
-NULL
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select 1 / 0;
-1 / 0
-NULL
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 CREATE TABLE Sow6_2f (col1 NUMERIC(4,2));
 INSERT INTO Sow6_2f VALUES (10.55);
 INSERT INTO Sow6_2f VALUES (10.5555);
@@ -565,14 +556,7 @@
 INSERT INTO Sow6_2f VALUES (101.55);
 ERROR 22003: Out of range value for column 'col1' at row 1
 SELECT MOD(col1,0) FROM Sow6_2f;
-MOD(col1,0)
-NULL
-NULL
-NULL
-Warnings:
-Error	1365	Division by 0
-Error	1365	Division by 0
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 INSERT INTO Sow6_2f VALUES ('a59b');
 ERROR HY000: Incorrect decimal value: 'a59b' for column 'col1' at row 1
 drop table Sow6_2f;
@@ -580,10 +564,7 @@
 10.3330000000000/12.34500000
 0.83701903604698258
 select 0/0;
-0/0
-NULL
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select 9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999 as x;
 x
 99999999999999999999999999999999999999999999999999999999999999999
@@ -614,10 +595,7 @@
 9999999999999999999999999999999999.00000000000000000000	0.00
 DROP TABLE t1;
 select abs(10/0);
-abs(10/0)
-NULL
-Warnings:
-Error	1365	Division by 0
+ERROR 22012: Division by 0
 select abs(NULL);
 abs(NULL)
 NULL

=== modified file 'tests/t/case.test'
--- tests/t/case.test	2010-08-26 21:56:15 +0000
+++ tests/t/case.test	2010-10-06 07:52:09 +0000
@@ -18,9 +18,13 @@
 select CASE 2.0 when 1 then "one" WHEN 2.0 then "two" ELSE "more" END;
 select (CASE "two" when "one" then "1" WHEN "two" then "2" END);
 select (CASE "two" when "one" then 1.00 WHEN "two" then 2.00 END) +0.0;
+--error ER_DIVISION_BY_ZERO
 select case 1/0 when "a" then "true" else "false" END;
+--error ER_DIVISION_BY_ZERO
 select case 1/0 when "a" then "true" END;
+--error ER_DIVISION_BY_ZERO
 select (case 1/0 when "a" then "true" END);
+--error ER_DIVISION_BY_ZERO
 select (case 1/0 when "a" then "true" END) + 0.0;
 select case when 1>0 then "TRUE" else "FALSE" END;
 select case when 1<0 then "TRUE" else "FALSE" END;

=== modified file 'tests/t/errors.test'
--- tests/t/errors.test	2010-08-26 21:56:15 +0000
+++ tests/t/errors.test	2010-10-06 07:52:09 +0000
@@ -44,10 +44,13 @@
 # Bug #27513: mysql 5.0.x + NULL pointer DoS
 #
 CREATE TABLE t1 (a INT);
+--error ER_DIVISION_BY_ZERO
 SELECT a FROM t1 WHERE a IN(1, (SELECT IF(1=0,1,2/0)));
 INSERT INTO t1 VALUES(1);
+--error ER_DIVISION_BY_ZERO
 SELECT a FROM t1 WHERE a IN(1, (SELECT IF(1=0,1,2/0)));
 INSERT INTO t1 VALUES(2),(3);
+--error ER_DIVISION_BY_ZERO
 SELECT a FROM t1 WHERE a IN(1, (SELECT IF(1=0,1,2/0)));
 DROP TABLE t1;
 

=== modified file 'tests/t/func_in.test'
--- tests/t/func_in.test	2010-08-21 22:42:44 +0000
+++ tests/t/func_in.test	2010-10-06 07:52:09 +0000
@@ -362,6 +362,7 @@
 CREATE TABLE t1 (id int not null);
 INSERT INTO t1 VALUES (1),(2);
 
+--error ER_DIVISION_BY_ZERO
 SELECT id FROM t1 WHERE id IN(4564, (SELECT IF(1=0,1,1/0)) );
 
 DROP TABLE t1;

=== modified file 'tests/t/func_math.test'
--- tests/t/func_math.test	2010-06-04 09:22:02 +0000
+++ tests/t/func_math.test	2010-10-06 07:52:09 +0000
@@ -17,12 +17,16 @@
 select round(5.64,1),round(5.64,2),round(5.64,-1),round(5.64,-2);
 select abs(-10), sign(-5), sign(5), sign(0);
 explain extended select abs(-10), sign(-5), sign(5), sign(0);
+--error ER_DIVISION_BY_ZERO
 select log(exp(10)),exp(log(sqrt(10))*2),log(-1),log(NULL),log(1,1),log(3,9),log(-1,2),log(NULL,2);
 explain extended select log(exp(10)),exp(log(sqrt(10))*2),log(-1),log(NULL),log(1,1),log(3,9),log(-1,2),log(NULL,2);
+--error ER_DIVISION_BY_ZERO
 select ln(exp(10)),exp(ln(sqrt(10))*2),ln(-1),ln(0),ln(NULL);
 explain extended select ln(exp(10)),exp(ln(sqrt(10))*2),ln(-1),ln(0),ln(NULL);
+--error ER_DIVISION_BY_ZERO
 select log2(8),log2(15),log2(-2),log2(0),log2(NULL);
 explain extended select log2(8),log2(15),log2(-2),log2(0),log2(NULL);
+--error ER_DIVISION_BY_ZERO
 select log10(100),log10(18),log10(-4),log10(0),log10(NULL);
 explain extended select log10(100),log10(18),log10(-4),log10(0),log10(NULL);
 select pow(10,log10(10)),power(2,4);

=== modified file 'tests/t/func_str.test'
--- tests/t/func_str.test	2010-08-26 21:56:15 +0000
+++ tests/t/func_str.test	2010-10-06 07:52:09 +0000
@@ -98,6 +98,7 @@
 
 select quote('\'\"\\test');
 select quote(concat('abc\'', '\\cba'));
+--error ER_DIVISION_BY_ZERO
 select quote(1/0), quote('\0\Z');
 select length(quote(concat(char(0),"test")));
 select hex(quote(concat(char(224),char(227),char(230),char(231),char(232),char(234),char(235))));

=== modified file 'tests/t/func_test.test'
--- tests/t/func_test.test	2009-11-13 00:56:59 +0000
+++ tests/t/func_test.test	2010-10-06 07:52:09 +0000
@@ -69,8 +69,11 @@
 # Bug#23411: The "%" (MOD) operator is not documented; MOD-ing zero returns strange result
 # Manual: "Division by zero produces a NULL result"
 #
+--error ER_DIVISION_BY_ZERO
 select (12%0) <=> null      as '1';
+--error ER_DIVISION_BY_ZERO
 select (12%0) is null       as '1';
+--error ER_DIVISION_BY_ZERO
 select 12%0                 as 'NULL';
 select 12%2                 as '0';
 select 12%NULL              as 'NULL';
@@ -80,8 +83,11 @@
 select 0 % null             as 'NULL';
 select null % null          as 'NULL';
 
+--error ER_DIVISION_BY_ZERO
 select (12 mod 0) <=> null  as '1';
+--error ER_DIVISION_BY_ZERO
 select (12 mod 0) is null   as '1';
+--error ER_DIVISION_BY_ZERO
 select 12 mod 0             as 'NULL';
 select 12 mod 2             as '0';
 select 12 mod null          as 'NULL';
@@ -90,7 +96,9 @@
 select 0 mod null           as 'NULL';
 select null mod null        as 'NULL';
 
+--error ER_DIVISION_BY_ZERO
 select mod(12.0, 0)         as 'NULL';
+--error ER_DIVISION_BY_ZERO
 select mod(12, 0.0)         as 'NULL';
 select mod(12, NULL)        as 'NULL';
 select mod(12.0, NULL)      as 'NULL';

=== modified file 'tests/t/join.test'
--- tests/t/join.test	2010-08-26 21:56:15 +0000
+++ tests/t/join.test	2010-10-06 07:52:09 +0000
@@ -151,6 +151,7 @@
 SELECT * FROM t1 LEFT JOIN t2 USING (d) WHERE t2.d IS NULL;
 SELECT * FROM t1 LEFT JOIN t2 USING (d) WHERE d IS NULL;
 SELECT * from t1 WHERE t1.d IS NULL;
+--error ER_DIVISION_BY_ZERO
 SELECT * FROM t1 WHERE 1/0 IS NULL;
 DROP TABLE t1,t2;
 

=== modified file 'tests/t/null.test'
--- tests/t/null.test	2010-09-23 01:53:13 +0000
+++ tests/t/null.test	2010-10-06 07:52:09 +0000
@@ -7,7 +7,9 @@
 # Testing of NULL in a lot of different places
 #
 
+--error ER_DIVISION_BY_ZERO
 select null,\N,isnull(null),isnull(1/0),isnull(1/0 = null),ifnull(null,1),ifnull(null,"TRUE"),ifnull("TRUE","ERROR"),1/0 is null,1 is not null;
+--error ER_DIVISION_BY_ZERO
 explain extended select null,\N,isnull(null),isnull(1/0),isnull(1/0 = null),ifnull(null,1),ifnull(null,"TRUE"),ifnull("TRUE","ERROR"),1/0 is null,1 is not null;
 select CONCAT(1, NULL),1+NULL,1-NULL;
 select NULL=NULL,NULL<>NULL,IFNULL(NULL,1.1)+0,CONCAT(IFNULL(NULL,1), 0);

=== modified file 'tests/t/strict.test'
--- tests/t/strict.test	2010-08-26 21:56:15 +0000
+++ tests/t/strict.test	2010-10-06 07:52:09 +0000
@@ -41,6 +41,7 @@
 --error ER_WARN_DATA_TRUNCATED
 INSERT INTO t1 (col1) VALUES ('1a');
 INSERT IGNORE INTO t1 (col1) VALUES ('2a');
+--error ER_DIVISION_BY_ZERO
 INSERT IGNORE INTO t1 values (1/0);
 INSERT IGNORE INTO t1 values (-2147483649);
 INSERT IGNORE INTO t1 values (2147643648);
@@ -97,6 +98,7 @@
 --error ER_WARN_DATA_TRUNCATED
 INSERT INTO t1 (col1) VALUES ('1a');
 INSERT IGNORE INTO t1 (col1) VALUES ('2a');
+--error ER_DIVISION_BY_ZERO
 INSERT IGNORE INTO t1 values (1/0);
 INSERT IGNORE INTO t1 VALUES (-9223372036854775809);
 INSERT IGNORE INTO t1 VALUES (9223372036854775808);
@@ -195,6 +197,7 @@
 --error ER_TRUNCATED_WRONG_VALUE_FOR_FIELD
 INSERT INTO t1 (col1) VALUES ('1a');
 INSERT IGNORE INTO t1 (col1) VALUES ('2a');
+--error ER_DIVISION_BY_ZERO
 INSERT IGNORE INTO t1 values (1/0);
 INSERT IGNORE INTO t1 VALUES (1000);
 INSERT IGNORE INTO t1 VALUES (-1000);

=== modified file 'tests/t/type_newdecimal.test'
--- tests/t/type_newdecimal.test	2010-08-26 21:56:15 +0000
+++ tests/t/type_newdecimal.test	2010-10-06 07:52:09 +0000
@@ -105,6 +105,7 @@
 #
 # Trydy's tests
 #
+--error ER_DIVISION_BY_ZERO
 select 1e10/0e0;
 #create table wl1612 (col1 int, col2 decimal(38,10), col3 numeric(38,10));
 #insert into wl1612 values(1,12345678901234567890.1234567890,12345678901234567890.1234567890);
@@ -722,10 +723,12 @@
 select 1E-500 = 0;
 #-- should return 1 (true).
 #
+--error ER_DIVISION_BY_ZERO
 select 1 / 1E-500;
 #
 #-- should return SQLSTATE 22012 division by zero.
 #
+--error ER_DIVISION_BY_ZERO
 select 1 / 0;
 #-- should return SQLSTATE 22012 division by zero.
 #
@@ -849,6 +852,7 @@
 #-- error 1365
 #UPDATE Sow6_2f SET col1 = col1 / 0 WHERE col1 > 0;
 #-- should return SQLSTATE 22012 division by zero
+--error ER_DIVISION_BY_ZERO
 SELECT MOD(col1,0) FROM Sow6_2f;
 #-- should return SQLSTATE 22012 division by zero
 -- error 1366
@@ -865,6 +869,7 @@
 # Bug #10404
 #
 
+--error ER_DIVISION_BY_ZERO
 select 0/0;
 
 #
@@ -901,6 +906,7 @@
 # Bug #10599: problem with NULL
 #
 
+--error ER_DIVISION_BY_ZERO
 select abs(10/0);
 select abs(NULL);
 

